# Student name:    Jiaxin Lin
# MacID:           linj33
# student number:  1311752
# Date:            2014/02/04


fname=raw_input("Enter Filenmae : ")
infile= open(fname, 'r')
lines=infile.readlines()
infile.close()

print lines

x=len(lines)
print "the number of lines x =",x
characters=0
word=0
for i in range(x):
    word=word+len(lines[i].split())
    newline = lines[i].strip("\n")
    characters = characters +len(newline)
    print word
y=word 
print "y=",y
print "z=", characters










